<?php
    include("../scripts/connect.php");
    $conexion=conecta_default();

    include("../scripts/session.php");
    //Validar Session
    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    if(!$sesion->isValida("4"))
    { /*Sesion invalida*/
      header("Location: ../index.php?err=NoSesion");
    }
    else
    {
      $dato=explode("|",$_SESSION['usuario']);
      $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }

   
    $prom =$_POST['idprom'];
    $trans =$_POST['pedido'];
    $entrega =$_POST['cdent'];
    $pasar =$_POST['pase'];
    //obtener el mes
    //obtener si ha calificado
    //obtener todos los obsequios disponibles
    //obtener id inver
    
    $busqusr2 = "SELECT month(curdate()) as elmes, year(curdate()) as elano";

   $cons2 = mysql_query($busqusr2) or die ('Err0: '.mysql_error());

   $usr2 = mysql_fetch_object($cons2);

   $mes3 = $usr2->elmes; $ano3 = $usr2->elano; 
   $fecha1=$ano3."-".$mes3."-01";
$fecha2=$ano3."-".$mes3."-31";
 $qa = "SELECT nombre FROM usuarios_ci WHERE idusuarios_ci =$entrega";
   $ca = mysql_query($qa) or die ('Error (select consec): ' . mysql_error());
   while($ra = mysql_fetch_row($ca))
   {
	   $nombreent = $ra[0];
	};
    $id_inv="SELECT id_inver from inversionista where rfc='$rfc'";
    $id_inverQ=mysql_query($id_inv);
    $id_inverA=mysql_fetch_array($id_inverQ);
    $datef = new DateTime('now');
    $datef->modify('last day of this month');
    $fechai=$datef->format('Y-m-d');
    
    $datei = new DateTime('now');
    $datei->modify('first day of this month');
    $datei->format('Y-m-d');   $fechaf=$datei->format('Y-m-d');
$qp = "SELECT id_inver, rfc, nombre, appat, apmat, vip, idprom, referencia FROM inversionista WHERE id_inver ='$prom'";
    $cp = mysql_query($qp) or die ('Error (Registro No Encontrado): ' . mysql_error());
    $rp = mysql_fetch_object($cp);
    $id_dist = $rp->id_inver; $vip = $rp->vip;	$idprom = $rp->idprom;	$ref = $rp->referencia;
    $nombre = $rp->nombre." ".$rp->appat." ".$rp->apmat;

$qp1 = "SELECT id_inver, rfc, nombre, appat, apmat, vip, idprom, referencia, idtransacciones, fechat, usuarios_ci_idusuarios_ci, consec FROM inversionista join transacciones on inversionista.id_inver=transacciones.inversionista_id_inver WHERE idtransacciones ='$trans'";
    $cp1 = mysql_query($qp1) or die ('Error (Registro No Encontrado): ' . mysql_error());
    $rp1 = mysql_fetch_object($cp1);
    $id_dist1 = $rp1->id_inver; $vip1 = $rp1->vip;	$idprom1 = $rp1->idprom;	$ref1 = $rp1->referencia;
    $nombre1 = $rp1->nombre." ".$rp1->appat." ".$rp1->apmat;
    
     echo"<center><label style='color:#2b385d; font-size:28px; font-weight:bold'>Entrega de Obsequio</label><br><br> ";
    

 echo"<br>Persona que recibe el obsequio<br><table cellspacing=5>
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Referencia</font></td><td bgcolor=\"#CCFFCC\">$ref</td></tr> 
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Nombre</font></td><td bgcolor=\"#CCFFCC\">$nombre</td></tr> 
      </table>";
  echo"<br><br>De la siguiente Inscripcion<table cellspacing=5>
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Pedido</font></td>
      <td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Transaccion</font></td>
      <td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Nombre</font></td>
      <td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Referencia</font></td>
      <td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Fecha</font></td></tr> 
      <tr><td bgcolor=\"#CCFFCC\">$rp1->usuarios_ci_idusuarios_ci - $rp1->consec</td>
      <td bgcolor=\"#CCFFCC\">$rp1->idtransacciones</td>
      <td bgcolor=\"#CCFFCC\">$nombre1</td>
      <td bgcolor=\"#CCFFCC\">$ref1</td>
      <td bgcolor=\"#CCFFCC\">$rp1->fechat</td></tr> 
      </table><br><br>Centro de entrega: <b>$entrega $nombreent</b>";
$vtas = "SELECT sum(puntos) FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE tipostr_idtipostr!='11' and inversionista_id_inver = \"$prom\" and fechat between \"$fecha1\" and \"$fecha2\"";


           $vtas1 = mysql_query($vtas) or die ('No se pudo hacer la consulta cc1' . mysql_error());

           $rr8 = mysql_fetch_row($vtas1);

           $valin=$rr8[0]; echo"<bR> ";
 
 
 
 
    if($valin>=624 || $pasar==5)
    {   echo"<br><br><form name=\"pagar\" action=\"entrega_reserva_02.php\" method=\"post\">
			<input type=hidden name=idprom value=$prom>

			<input type=hidden name=pedido value=$trans>		<input type=hidden name=cdentre value=$entrega>

			

								 <input type=\"submit\" value=\"Entregar regalo a patrocinador\" name=\"infoped\"></form>";
    
       }
       else
       {

        echo "Es necesario estar calificado para recibir el obsequio";
       }
